## gate.creole
Class ParameterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.creole.ParameterException

All Implemented Interfaces:
  Serializable

public class ParameterException
extends GateException

This exception indicates failure to set a resource parameter.

See Also:
  Serialized Form

Constructor Summary
`ParameterException()`
`ParameterException(Exception e)`
`ParameterException(String s)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterException

    public ParameterException()

### ParameterException

    public ParameterException(String s)

### ParameterException

    public ParameterException(Exception e)